## crunchyfrog-0.2.0-beta1.tar.gz

=== Makefile ===
PO=de
RELEASENAME=snapshot
PYTHON=`which python`

clean: po-clean
	find . -name "*.pyc" -delete
	find . -name "*~" -delete
	rm -rf build/
	
ChangeLog:
	svn2cl --authors=AUTHORS -o ChangeLog --group-by-day
	
dist-prepare: clean ChangeLog
	
egg: dist-prepare
	$(PYTHON) setup.py bdist_egg
	
deb: dist-prepare
	rm -rf /tmp/crunchyfrog-build
	mkdir -p /tmp/crunchyfrog-build/crunchyfrog
	cp -r * /tmp/crunchyfrog-build/crunchyfrog/
	cd /tmp/crunchyfrog-build/crunchyfrog/; dpkg-buildpackage -us -uc -rfakeroot
	mkdir -p dist
	cp /tmp/crunchyfrog-build/*.deb dist/
	rm -rf /tmp/crunchyfrog-build
	
snapshot: dist-prepare
	$(PYTHON) setup.py egg_info -rbdev bdist_egg rotate -m.egg -k3

dist-release: dist-prepare sdist-release bdist-release

sdist-release:
	$(PYTHON) setup.py egg_info -b-$(RELEASENAME) sdist

sdist-upload:
	$(PYTHON) setup.py egg_info -b-$(RELEASENAME) sdist upload

bdist-release:
	$(PYTHON) setup.py egg_info -b-$(RELEASENAME) bdist_egg
	
source-release: dist-prepare
	$(PYTHON) setup.py egg_info -rbdev sdist upload
	
sdist: dist-prepare
	$(PYTHON) setup.py sdist
	
po-clean:
	find data -type f -name *.h -print | xargs --no-run-if-empty rm -rf
	find cf -type f -name *.h -print | xargs --no-run-if-empty rm -rf

po-data:
	for lang in $(PO); do msgfmt po/$$lang/LC_MESSAGES/crunchyfrog.po -o po/$$lang/LC_MESSAGES/crunchyfrog.mo;done
	
po-gen:
	intltool-extract --type=gettext/glade data/crunchyfrog.glade
	xgettext --from-code=UTF-8 -k_ -kN_ -o po/crunchyfrog.pot `find cf/ -type f -name *.py` data/*.h `find cf -type f -name *.h`
	for lang in $(PO); do msgmerge -U po/$$lang/LC_MESSAGES/crunchyfrog.po po/crunchyfrog.pot; done
	
api:
	PYTHONPATH=`pwd`/data/:`pwd` apydia -c data/apydia.ini
	cp docs/api/cf.html docs/api/index.html

=== debian/control ===
Source: crunchyfrog
Maintainer: Andi Albrecht <albrecht.andi@gmail.com>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2),
               python-dev,
               python,
               python-setuptools
Build-Depends-Indep: python-central (>= 0.5.4)
Standards-Version: 3.7.2
XS-Python-Version: >= 2.4

Package: crunchyfrog
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-gnome2,
         python-gnome2-desktop,
         python-gnome2-extras,
         python-gobject,
         python-gconf,
         python-setuptools,
         python-pysqlite2 (>= 2.0.5),
         python-configobj (>= 4.4.0),
         python-lxml (>= 0.9),
         python-kiwi,
         gnome-extra-icons,
Recommends: python-psycopg2
XB-Python-Version: ${python:Versions}
Description: database schema browser and query tool
 CrunchyFrog is a database browser and query tool with support for
 multiple databases.
 .
 Homepage: http://cf.andialbrecht.de

=== debian/rules ===
#!/usr/bin/make -f

STAMP_DIR := debian/stampdir

PATCH_DIR := debian/patches

# default Python version
PYTHON := python

# how to call commands of setup.py
SETUP_PY := $(PYTHON) setup.py

# how to call quilt
QUILT := QUILT_PATCHES=$(PATCH_DIR) quilt --quiltrc /dev/null

$(STAMP_DIR)/patch-stamp:
	dh_testdir
	mkdir $(STAMP_DIR)
	# apply patches
	$(QUILT) push -a || test $$? = 2
	touch $@

patch: $(STAMP_DIR)/patch-stamp

$(STAMP_DIR)/build-stamp: $(STAMP_DIR)/patch-stamp
	dh_testdir
	$(SETUP_PY) build
	touch $@

build: $(STAMP_DIR)/build-stamp

$(STAMP_DIR)/check-stamp: $(STAMP_DIR)/build-stamp
	dh_testdir
	# testsuite failures are ignored
	#-$(SETUP_PY) test
	touch $@

check: $(STAMP_DIR)/check-stamp

$(STAMP_DIR)/install-stamp: $(STAMP_DIR)/build-stamp
	$(SETUP_PY) install --single-version-externally-managed --root $(CURDIR)/debian/tmp
	touch $@

install: $(STAMP_DIR)/install-stamp

clean::
	dh_testdir
	dh_testroot
	-$(SETUP_PY) clean -a
	-find . -name *\.py[co] -exec rm -fv {} \;
	# unapply patches, if any
	$(QUILT) pop -a -R || test $$? = 2
	-rm -rf .pc
	-rm -rf $(STAMP_DIR)
	dh_clean

maybe_check = $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check)

binary-indep: build $(maybe_check) install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	install -d debian/crunchyfrog/usr/share/pixmaps
	install -m644 data/crunchyfrog.svg debian/crunchyfrog/usr/share/pixmaps
	install -m644 debian/crunchyfrog.xpm debian/crunchyfrog/usr/share/pixmaps
	dh_desktop -i
	dh_installmenu -i
	dh_installman -i debian/crunchyfrog.1
	dh_pycentral -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:

binary: binary-indep binary-arch
.PHONY: patch build check install clean binary-indep binary-arch binary
